Name:          tyrex
Version:       1.0.3
Release:       %mkrel 1
Summary:       An Open Source implementation of the Java Transaction Service
Group:         Development/Java
License:       BSD
Url:           http://tyrex.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/tyrex/tyrex-1.0.3-src.tgz
Source1:       tyrex-1.0.3.pom
Patch0:        tyrex-1.0.3-build.patch
Patch1:        tyrex-1.0.3-Current.patch
Patch2:        tyrex-1.0.3-OTSTest.patch
BuildRequires: ant
BuildRequires: ant-trax
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: castor0
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-jta
BuildRequires: geronimo-corba-api
BuildRequires: geronimo-javamail-1_4-api
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: javamail
BuildRequires: junit
BuildRequires: ldapsdk
BuildRequires: liblog4j-java
BuildRequires: openorb
BuildRequires: openorb-ins
BuildRequires: sax2
BuildRequires: xalan-j2
BuildRequires: xalan-j2-xsltc
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: java-1.5.0-gcj-devel
Requires:      jpackage-utils
BuildArch:     noarch

%description
Tyrex is a J2EE service provider for both Servlet
and EJB container, JMS providers and generic connectors.
It provides services for security and authentication,
local and distributed transactions, resource configuration
and pooling, and TP monitoring.
- Full support for JTA and OTS transactions APIs
- Support for local and distributed transactions
- JAAS-based authentication, LDAP login module
- Configurable transaction processing monitor
- JDBC pooling and automatic JDBC resource enlistment
- JCA connection manager
- XML based configuration
- JNDI environment naming context
- Transaction context propagation over IIOP
- Can be used as a stand alone OTS server 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Tyrex - An Open Source implementation of the Java Transaction Service.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documentation for %{name}
Requires:      %{name} = %{version}-%{release} 

%description manual
Tyrex - An Open Source implementation of the Java Transaction Service.

This package contains documentation for %{name}.

%prep
%setup -q -n tyrex-%{version}
for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

pushd lib
# TODO
mv ots-jts_1.0.jar.no ots-jts_1.0.jar
popd

for j in $(find src -name "*.java" -exec grep -l 'assert *(' {} \;); do
   sed -i -e 's:assert *(:assertTrue(:' $j
done
for j in $(find src -name "*.java" -exec grep -l '\.PI\.' {} \;); do
   sed -i -e 's:\.PI\.:\.orb\.pi\.:g' $j
done
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
pushd lib
#  mv ots-jts_1.0.jar.no ots-jts_1.0.jar
popd
%build
# geronimo-corba-1.0-api 
#TODO: Fix to build with Java6+
export JAVA_HOME=%{_jvmdir}/java-gcj
export OPT_JAR_LIST="ant/ant-trax"
export CLASSPATH=$(build-classpath castor0 commons-logging avalon-framework-impl avalon-framework-api avalon-logkit)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-corba-api geronimo-javamail-1.4-api geronimo-j2ee-connector-1.5-api)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-jta-1.0.1B-api junit log4j openorb)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools openorb-tns tools-openorb)
CLASSPATH=$CLASSPATH:$(build-classpath xalan-j2 xalan-j2-serializer xsltc xerces-j2 xml-commons-apis sax2)
CLASSPATH=$CLASSPATH:build/classes:build/tests:lib/ots-jts_1.0.jar
ant -Dbuild.sysclasspath=only -f src/build.xml all-iiop doc javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/tyrex-%{version}.jar %{buildroot}%{_javadir}/tyrex-%{version}.jar
install -m 644 dist/tyrex-%{version}-iiop.jar %{buildroot}%{_javadir}/tyrex-iiop-%{version}.jar
install -m 644 dist/tyrex-%{version}-iiop-tests.jar %{buildroot}%{_javadir}/tyrex-iiop-tests-%{version}.jar
install -m 644 dist/tyrex-%{version}-tests.jar %{buildroot}%{_javadir}/tyrex-tests-%{version}.jar
install -m 644 dist/tyrex-%{version}-tests-unit.jar %{buildroot}%{_javadir}/tyrex-tests-unit-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-tyrex.pom
%add_to_maven_depmap tyrex tyrex %{version} JPP tyrex

mkdir -p %{buildroot}%{_datadir}/tyrex-%{version}/schema
install -m 644 build/schema/* %{buildroot}%{_datadir}/tyrex-%{version}/schema

mkdir -p %{buildroot}%{_javadocdir}/tyrex-%{version}
cp -prf build/doc/javadoc/* %{buildroot}%{_javadocdir}/tyrex-%{version}
ln -s tyrex-%{version} %{buildroot}%{_javadocdir}/tyrex # ghost symlink
rm -rf build/doc/javadoc

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/tyrex-%{version}.jar
%{_javadir}/tyrex.jar
%{_javadir}/tyrex-iiop-%{version}.jar
%{_javadir}/tyrex-iiop.jar
%{_javadir}/tyrex-iiop-tests-%{version}.jar
%{_javadir}/tyrex-iiop-tests.jar
%{_javadir}/tyrex-tests-%{version}.jar
%{_javadir}/tyrex-tests.jar
%{_javadir}/tyrex-tests-unit-%{version}.jar
%{_javadir}/tyrex-tests-unit.jar
%{_datadir}/tyrex-%{version}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc build/doc/license.txt

%files javadoc
%{_javadocdir}/tyrex-%{version}
%{_javadocdir}/tyrex

%files manual
%doc build/doc/*



%changelog

* Sun Nov 27 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 172531
- Adapt to mageia guidelines

  + gil <gil>
    - added geronimo-corba-api support
    - rebuilt with new avalon-framework
    - imported package tyrex


* Sat Jul 02 2011 gil <gil> 1.0.3-0.%%mkrel
- initial rpm

